package com.ningdatech.pmapi.irs;

import com.alibaba.fastjson.JSON;
import com.ningdatech.pmapi.common.util.CryptUtils;
import com.ningdatech.pmapi.common.util.RefreshKeyUtil;
import org.junit.Test;
import org.springframework.http.ResponseEntity;
import org.springframework.web.client.RestTemplate;

import java.io.UnsupportedEncodingException;
import java.net.URLEncoder;
import java.security.NoSuchAlgorithmException;

/**
 * @Classname IrsTest2
 * @Description
 * @Date 2023/7/20 10:48
 * @Author PoffyZhang
 */
public class IrsTest2 {

    @Test
    public void test() throws UnsupportedEncodingException, NoSuchAlgorithmException {
        String appSecret = "e066f496194540afa829c66983d4710e";
        String appkey = "8fb070a1f1194b2ebffdc6f596bb8a96";
        String dataName = URLEncoder.encode("丽水市大数据","UTF-8");
        long timestamp = System.currentTimeMillis();
        String sign = CryptUtils.MD5Encode(appkey + appSecret + timestamp);
        String url = "https://interface.ls.local/a/api/shared/1689239219101?data_name=" + dataName + "&appKey=" + appkey +
                "&sign=" + sign + "&requestTime=" + timestamp;
        RestTemplate restTemplate = new RestTemplate();
        System.out.println("url:" + url);
        ResponseEntity<String> forEntity = restTemplate.getForEntity(url, String.class);

        System.out.println(JSON.toJSONString(forEntity));
    }

}
